org.eclnt.jsfserver.onlinehelp.defaultimpl

## Class OnlineHelpProcessorEmbeddedBrowser

- java.lang.Object
- - org.eclnt.jsfserver.onlinehelp.defaultimpl.OnlineHelpProcessorEmbeddedBrowser

- All Implemented Interfaces:
    IOnlineHelpProcessor2

      public class OnlineHelpProcessorEmbeddedBrowser
      extends java.lang.Object
      implements IOnlineHelpProcessor2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OnlineHelpProcessorEmbeddedBrowser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `calculateURL(java.lang.String helpId, java.lang.String language, boolean refersToComponent)`
    `protected void` | `openOnlineHelp(java.lang.String url, boolean refersToComponent)`
    `void` | `processOnlineHelp(java.lang.String helpId, java.lang.String language, boolean refersToComponent)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OnlineHelpProcessorEmbeddedBrowser

          public OnlineHelpProcessorEmbeddedBrowser()

  - ### Method Detail

    - #### processOnlineHelp

          public void processOnlineHelp(java.lang.String helpId,
                                        java.lang.String language,
                                        boolean refersToComponent)

      Specified by:
        `processOnlineHelp` in interface `IOnlineHelpProcessor2`
        `refersToComponent` - true => online help directly belongs to the component on which F1 was pressed. false => online help belongs to an upper component and is NOT directly related.

    - #### calculateURL

          protected java.lang.String calculateURL(java.lang.String helpId,
                                                  java.lang.String language,
                                                  boolean refersToComponent)

    - #### openOnlineHelp

          protected void openOnlineHelp(java.lang.String url,
                                        boolean refersToComponent)

Copyright © CaptainCasa Gmbh. All Rights Reserved.